## cascading.flow.stream
Class OpenDuct<Incoming,Outgoing>

    java.lang.Object
      cascading.flow.stream.Duct<Grouping<Incoming,Iterator<Incoming>>,Outgoing>
          cascading.flow.stream.OpenDuct<Incoming,Outgoing>

All Implemented Interfaces:
  OpenWindow

    public class OpenDuct<Incoming,Outgoing>

extends Duct<Grouping<Incoming,Iterator<Incoming>>,Outgoing>
implements OpenWindow

Field Summary

Fields inherited from class cascading.flow.stream.Duct
`next`

Constructor Summary
`OpenDuct(Duct<Outgoing,?> next)`

Method Summary
`void` `complete(Duct previous)`
`void` `receive(Duct previous, Grouping<Incoming,Iterator<Incoming>> grouping)`
`void` `start(Duct previous)`

Methods inherited from class cascading.flow.stream.Duct
`bind, cleanup, getNext, getNextFor, initialize, prepare, receiveFirst, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenDuct

    public OpenDuct(Duct<Outgoing,?> next)

Method Detail

### start

    public void start(Duct previous)

  Overrides:
    `start` in class `Duct<Grouping<Incoming,Iterator<Incoming>>,Outgoing>`

### receive

    public void receive(Duct previous,
                        Grouping<Incoming,Iterator<Incoming>> grouping)

  Specified by:
    `receive` in class `Duct<Grouping<Incoming,Iterator<Incoming>>,Outgoing>`

### complete

    public void complete(Duct previous)

  Overrides:
    `complete` in class `Duct<Grouping<Incoming,Iterator<Incoming>>,Outgoing>`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.